/* USER CODE BEGIN Header */
/**
  ******************************************************************************
  * @file           : main.h
  * @brief          : Header for main.c file.
  *                   This file contains the common defines of the application.
  ******************************************************************************
  * @attention
  *
  * Copyright (c) 2022 STMicroelectronics.
  * All rights reserved.
  *
  * This software is licensed under terms that can be found in the LICENSE file
  * in the root directory of this software component.
  * If no LICENSE file comes with this software, it is provided AS-IS.
  *
  ******************************************************************************
  */
/* USER CODE END Header */

/* Define to prevent recursive inclusion -------------------------------------*/
#ifndef __MAIN_H
#define __MAIN_H

#ifdef __cplusplus
extern "C" {
#endif

/* Includes ------------------------------------------------------------------*/
#include <stdbool.h>
#include "stm32f4xx_hal.h"

/* Private includes ----------------------------------------------------------*/
/* USER CODE BEGIN Includes */

/* USER CODE END Includes */

/* Exported types ------------------------------------------------------------*/
/* USER CODE BEGIN ET */

/* USER CODE END ET */

/* Exported constants --------------------------------------------------------*/
/* USER CODE BEGIN EC */

/* USER CODE END EC */

/* Exported macro ------------------------------------------------------------*/
/* USER CODE BEGIN EM */

/* USER CODE END EM */

/* Exported functions prototypes ---------------------------------------------*/
void Error_Handler(void);

/* USER CODE BEGIN EFP */

/* USER CODE END EFP */

/* Private defines -----------------------------------------------------------*/
/* USER CODE BEGIN Private defines */

// Defines for custom PIN Mappings
#define XXUNUSED_Pin GPIO_PIN_13
#define XXUNUSED_GPIO_Port GPIOC
#define OCHAN0_Pin GPIO_PIN_0
#define OCHAN0_GPIO_Port GPIOA
#define OCHAN1_Pin GPIO_PIN_1
#define OCHAN1_GPIO_Port GPIOA
#define OCHAN2_Pin GPIO_PIN_2
#define OCHAN2_GPIO_Port GPIOA
#define RRDT_Pin GPIO_PIN_3
#define RRDT_GPIO_Port GPIOA
#define RRSW_Pin GPIO_PIN_4
#define RRSW_GPIO_Port GPIOA
#define RRCLK_Pin GPIO_PIN_5
#define RRCLK_GPIO_Port GPIOA
#define LED2_Pin GPIO_PIN_6
#define LED2_GPIO_Port GPIOA
#define LED3_Pin GPIO_PIN_7
#define LED3_GPIO_Port GPIOA
#define ADC1_0_Pin GPIO_PIN_0
#define ADC1_0_GPIO_Port GPIOB
#define ADC1_1_Pin GPIO_PIN_1
#define ADC1_1_GPIO_Port GPIOB
#define ADC1_2_Pin GPIO_PIN_2
#define ADC1_2_GPIO_Port GPIOB
#define MPWR0_Pin GPIO_PIN_10
#define MPWR0_GPIO_Port GPIOB
#define MPWR1_Pin GPIO_PIN_12
#define MPWR1_GPIO_Port GPIOB
#define MPWR2_Pin GPIO_PIN_13
#define MPWR2_GPIO_Port GPIOB
#define GPI1_Pin GPIO_PIN_14
#define GPI1_GPIO_Port GPIOB
#define GPI2_Pin GPIO_PIN_15
#define GPI2_GPIO_Port GPIOB
#define LED4_Pin GPIO_PIN_8
#define LED4_GPIO_Port GPIOA
#define LED5_Pin GPIO_PIN_10
#define LED5_GPIO_Port GPIOA
#define BEEP_Pin GPIO_PIN_15
#define BEEP_GPIO_Port GPIOA
#define LED0_Pin GPIO_PIN_3
#define LED0_GPIO_Port GPIOB
#define LED1_Pin GPIO_PIN_4
#define LED1_GPIO_Port GPIOB
#define GPI0_Pin GPIO_PIN_5
#define GPI0_GPIO_Port GPIOB

/* USER CODE END Private defines */

#ifdef __cplusplus
}
#endif

#endif /* __MAIN_H */
